Subject: Why does e1000 (in net-2.6) have extra pseudo-netdevices

From: Stephen Hemminger <[email-masked]>
Date: Fri, 25 Jul 2008 12:04:15 -0700

Since we have multi-queue tx, and multi-napi, why does E1000 still
have extra fake network devices?

 static int __devinit e1000_alloc_queues(struct e1000_adapter *adapter)
{
...
       adapter->polling_netdev = kcalloc(adapter->num_rx_queues,
                                          sizeof(struct net_device),
                                          GFP_KERNEL);